MLINUX_METADATA_REVISION = "${@base_get_metadata_git_revision("${OEROOT}",None)}"
MLINUX_METADATA_BRANCH = "${@base_get_metadata_git_branch("${OEROOT}",None).strip()}"
MLINUX_LAYERS = "${@mlinux_layers(bb,d)}"

def mlinux_layers(bb, d):
  layers = (d.getVar("BBLAYERS", d, 1) or "").split()
  layer_revs = ""

  for layer in layers:
    branch = base_get_metadata_git_branch(layer, d).strip()
    rev = base_get_metadata_git_revision(layer, d)
    layer_revs += "%-20s = %s:%s\n" % (os.path.basename(layer), branch, rev)

  return layer_revs
